x86: fft: fix imdct_half() for AVX
[libav.git] / LICENSE
CommitLineData
070c5d0f 1Libav:
364cbc34 2------
4656c375 3
070c5d0f 4Most files in Libav are under the GNU Lesser General Public License version 2.1
ecc1330a
DB
5or later (LGPL v2.1+). Read the file COPYING.LGPLv2.1 for details. Some other
6files have MIT/X11/BSD-style licenses. In combination the LGPL v2.1+ applies to
070c5d0f 7Libav.
aae9c405 8
070c5d0f 9Some optional parts of Libav are licensed under the GNU General Public License
ecc1330a 10version 2 or later (GPL v2+). See the file COPYING.GPLv2 for details. None of
aae9c405 11these parts are used by default, you have to explicitly pass --enable-gpl to
070c5d0f 12configure to activate them. In this case, Libav's license changes to GPL v2+.
aae9c405 13
070c5d0f 14Specifically, the GPL parts of Libav are
aae9c405 15
aae9c405
DB
16- the X11 grabber in libavdevice/x11grab.c
17
4656c375
DB
18There are a handful of files under other licensing terms, namely:
19
24d150b7
DB
20* The files libavcodec/jfdctfst.c, libavcodec/jfdctint_template.c and
21 libavcodec/jrevdct.c are taken from libjpeg, see the top of the files for
22 licensing details. Specifically note that you must credit the IJG in the
23 documentation accompanying your program if you only distribute executables.
24 You must also indicate any changes including additions and deletions to
25 those three files in the documentation.
4656c375 26
9cad0e4e
DB
27Should you, for whatever reason, prefer to use version 3 of the (L)GPL, then
28the configure parameter --enable-version3 will activate this licensing option
29for you. Read the file COPYING.LGPLv3 or, if you have enabled GPL parts,
30COPYING.GPLv3 to learn the exact legal terms that apply in this case.
31
4656c375
DB
32
33external libraries:
34-------------------
35
aae9c405 36Some external libraries, e.g. libx264, are under GPL and can be used in
070c5d0f 37conjunction with Libav. They require --enable-gpl to be passed to configure
aae9c405
DB
38as well.
39
0b175caa
DB
40The OpenCORE external libraries are under the Apache License 2.0. That license
41is incompatible with the LGPL v2.1 and the GPL v2, but not with version 3 of
070c5d0f 42those licenses. So to combine the OpenCORE libraries with Libav, the license
0b175caa
DB
43version needs to be upgraded by passing --enable-version3 to configure.
44
070c5d0f 45The nonfree external library libfaac can be hooked up in Libav. You need to
fc1206a4 46pass --enable-nonfree to configure to enable it. Employ this option with care
070c5d0f 47as Libav then becomes nonfree and unredistributable.